Bug 168548 - Does not accept UTF input method
Summary: Does not accept UTF input method
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rxvt-unicode (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-16 23:38 UTC by Peter Lawler
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-17 06:09:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Lawler 2005-09-16 23:38:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
On gnome terminal, and other programs, I use the UTF input method for inputting UTF data. This involves the following keysequence:
CTRL+SHIFT+<UTF CODE>
eg
CTRL+SHIFT+2026 = 
CTRL+SHIFT=203D=&#8253;

RXVT-Unicode for Fedora is dead for me, as the default build doesn't allow UTF input method. A Unicode terminal with no UTF input is pointless.

Version-Release number of selected component (if applicable):
rxvt-unicode 5.7

How reproducible:
Always

Steps to Reproduce:
1. Open RXVT Unicode
2. Press CTRL+SHIFT
3. A funky dialogue should appear so you can enter 2026

Actual Results:  Garbage character inputted

Expected Results:  1. Open RXVT Unicode
2. Press CTRL+SHIFT
3. Funky dialog appears, enter 2026
4. The UTF char for 2026 appears

Additional info:

I've modified the specfile, and can be found:
http://build.bleeter.org/rxvt-unicode/rxvt-unicode.spec


Note You need to log in before you can comment on or make changes to this bug.